package cn.com.infosec.mobile.android.net;

import android.support.annotation.Keep;
import cn.com.infosec.mobile.android.Jointer;

@Keep
public class InfosecSocketRequest {
   @Keep
   public int errNo;
   @Keep
   public String errMessage;

   private native int connectWithSynSocketNative(long var1, long var3);

   @Keep
   public native long initSSLClientNative(InfosecSocketParam var1, Jointer var2);

   public native int connectWithIPNative(long var1, String var3, int var4);

   public native int connectWithAsynSocketNative(long var1, long var3);

   @Keep
   public native int writeSSLDataNative(long var1, byte[] var3);

   @Keep
   public native byte[] readSSLDataNative(long var1, long var3);

   @Keep
   public native long getSocketNative(long var1);

   @Keep
   public native int sslPendingNative(long var1);

   @Keep
   public native int sslShutdownNative(long var1);

   @Keep
   public native int releaseSSLNative(long var1);

   @Keep
   public native long socketNewFdsetNative(long var1);

   @Keep
   public native int socketDeleteFdsetNative(long var1);

   @Keep
   public native int socketSelectNative(long var1, long var3, long var5, int var7);

   @Keep
   public native boolean socketCanReadWriteNative(long var1, long var3);

   @Keep
   public native String getSocketAddressNative(long var1, int var3);

   @Keep
   public native String getLocalAddressNative(int var1);

   @Keep
   public native String sslGetClientIPNative(long var1);
}
